com.h3c.sdn.adm.dao.model

## Class CtlAddrManagerEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity
  - - com.h3c.sdn.dao.model.SystemLocalEntity
    - - com.h3c.sdn.adm.dao.model.CtlAddrManagerEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class CtlAddrManagerEntity
      extends SystemLocalEntity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CtlAddrManagerEntity()`
    `CtlAddrManagerEntity(UUID uid, UUID sysId, IpAddress ipAddr, IpAddress maskIpAddr, MacAddress macAddr, VId vid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IpAddress` | `getIpAddr()`
    `MacAddress` | `getMacAddr()`
    `IpAddress` | `getMaskIpAddr()`
    `VId` | `getVid()`
    `void` | `setIpAddr(IpAddress ipAddr)`
    `void` | `setMacAddr(MacAddress macAddr)`
    `void` | `setMaskIpAddr(IpAddress maskIpAddr)`
    `void` | `setVid(VId vid)`

    - ### Methods inherited from class com.h3c.sdn.dao.model.SystemLocalEntity

      `getSysId`

    - ### Methods inherited from class com.h3c.sdn.dao.model.BaseEntity

      `equals, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CtlAddrManagerEntity

          public CtlAddrManagerEntity()

    - #### CtlAddrManagerEntity

          public CtlAddrManagerEntity(UUID uid,
                              UUID sysId,
                              IpAddress ipAddr,
                              IpAddress maskIpAddr,
                              MacAddress macAddr,
                              VId vid)

  - ### Method Detail

    - #### getMaskIpAddr

          public IpAddress getMaskIpAddr()

    - #### setMaskIpAddr

          public void setMaskIpAddr(IpAddress maskIpAddr)

    - #### getIpAddr

          public IpAddress getIpAddr()

    - #### getMacAddr

          public MacAddress getMacAddr()

    - #### getVid

          public VId getVid()

    - #### setIpAddr

          public void setIpAddr(IpAddress ipAddr)

    - #### setMacAddr

          public void setMacAddr(MacAddress macAddr)

    - #### setVid

          public void setVid(VId vid)

Copyright © 2014. All Rights Reserved.